MetadataBuilderImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.internal
Class MetadataBuilderImpl

    java.lang.Object
      org.hibernate.metamodel.source.internal.MetadataBuilderImpl

All Implemented Interfaces:
  MetadataBuilder

    public class MetadataBuilderImpl

extends Object
implements MetadataBuilder

Constructor Summary
`MetadataBuilderImpl(MetadataSources sources)`

Method Summary
`Metadata` | `buildMetadata()`
`MetadataBuilder` | `with(AccessType accessType)`
`MetadataBuilder` | `with(MetadataSourceProcessingOrder metadataSourceProcessingOrder)`
`MetadataBuilder` | `with(NamingStrategy namingStrategy)`
`MetadataBuilder` | `with(SharedCacheMode sharedCacheMode)`
`MetadataBuilder` | `withNewIdentifierGeneratorsEnabled(boolean enabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetadataBuilderImpl

    public MetadataBuilderImpl(MetadataSources sources)

Method Detail

### with

    public MetadataBuilder with(NamingStrategy namingStrategy)

  Specified by:
    `with` in interface `MetadataBuilder`

### with

    public MetadataBuilder with(MetadataSourceProcessingOrder metadataSourceProcessingOrder)

  Specified by:
    `with` in interface `MetadataBuilder`

### with

    public MetadataBuilder with(SharedCacheMode sharedCacheMode)

  Specified by:
    `with` in interface `MetadataBuilder`

### with

    public MetadataBuilder with(AccessType accessType)

  Specified by:
    `with` in interface `MetadataBuilder`

### withNewIdentifierGeneratorsEnabled

    public MetadataBuilder withNewIdentifierGeneratorsEnabled(boolean enabled)

  Specified by:
    `withNewIdentifierGeneratorsEnabled` in interface `MetadataBuilder`

### buildMetadata

    public Metadata buildMetadata()

  Specified by:
    `buildMetadata` in interface `MetadataBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.